const request = require("../../utils/request");

module.exports = function () {
  // return request({
  //   url: "project/template",
  // });

  // mock
  return [
    {
      name: "vue2标准模板",
      npmName: "ch-cli-dev-template-vue2",
      version: "1.0.0",
      type: "normal",
      installCommand: "npm install",
      startCommand: "npm run serve",
      ignore: ["**/public/**"],
      tag: ["project"],
    },
    {
      name: "vue3标准模板",
      npmName: "ch-cli-dev-template-vue3",
      version: "1.0.0",
      type: "normal",
      installCommand: "npm install",
      startCommand: "npm run serve",
      ignore: ["**/public/**"],
      tag: ["project"],
    },
    {
      name: "vue2自定义模板",
      npmName: "ch-cli-dev-template-custom-vue2",
      version: "1.0.0",
      type: "custom",
      installCommand: "npm install",
      startCommand: "npm run serve",
      ignore: ["**/public/**"],
      tag: ["project"],
    },
    {
      name: "react标准模板",
      npmName: "ch-cli-dev-template-react",
      version: "1.0.0",
      type: "normal",
      installCommand: "npm install",
      startCommand: "npm run start",
      ignore: ["**/public/**"],
      tag: ["project"],
    },
    {
      name: "ppd-H5模板",
      npmName: "ppd-h5-template",
      version: "1.0.0",
      type: "normal",
      installCommand: "npm install",
      startCommand: "npm run start",
      ignore: ["**/public/**"],
      tag: ["project"],
    },
  ];
};
